import Stepper from "./index.vue";
import { withFormItem } from '@/components/form-item/index.js';

const TgStepper = withFormItem('tg-stepper', Stepper, {
  withRef: true,
  methods: {
    focus () {
      return this.$refs.wrappedInstance.focus();
    },
    blur () {
      return this.$refs.wrappedInstance.blur();
    },
  },
});
TgStepper.install = function(Vue) {
  Vue.component(TgStepper.name, TgStepper);
};
export default TgStepper;
