import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/Home.vue'
import { pages } from './componentsRouter.js'

console.log('componentsRouter', pages)
Vue.use(VueRouter)

let componentList = pages
// let componentList = [
// 	{
// 		path: "/actionsheet",
// 		name: "tg-actionsheet",
// 		component: () =>
// 			import("../components/actionsheet/demo")
// 	},
// 	{
// 		path: "/button",
// 		name: "tg-button",
// 		component: () =>
// 			import("../components/button/demo")
// 	},
// 	{
// 		path: "/cell",
// 		name: "tg-cell",
// 		component: () =>
// 			import("../components/cell/demo")
// 	},
// 	{
// 		path: "/checkbox",
// 		name: "tg-checkbox",
// 		component: () =>
// 			import("../components/checkbox/demo")
// 	},
// 	{
// 		path: "/checkboxgroup",
// 		name: "tg-checkbox-group",
// 		component: () =>
// 			import("../components/checkboxgroup/demo")
// 	},
// 	{
// 		path: "/form",
// 		name: "tg-form",
// 		component: () =>
// 			import("../components/form/demo")
// 	},
// 	{
// 		path: "/jsonText",
// 		name: "tg-jsonText",
// 		component: () =>
// 			import("../components/jsonText/demo")
// 	},
// 	{
// 		path: "/popover",
// 		name: "tg-popover",
// 		component: () =>
// 			import("../components/popover/demo")
// 	},
// 	{
// 		path: "/product-card",
// 		name: "tg-product-card",
// 		component: () =>
// 			import("../components/product-card/demo")
// 	},
// 	{
// 		path: "/progress",
// 		name: "tg-progress",
// 		component: () =>
// 			import("../components/progress/demo")
// 	},
// 	{
// 		path: "/radio",
// 		name: "tg-radio",
// 		component: () =>
// 			import("../components/radio/demo")
// 	},
// 	{
// 		path: "/radiogroup",
// 		name: "tg-radiogroup",
// 		component: () =>
// 			import("../components/radiogroup/demo")
// 	},
	
// 	{
// 		path: "/stepper",
// 		name: "tg-stepper",
// 		component: () =>
// 			import("../components/stepper/demo")
// 	},
// 	{
// 		path: "/swipe",
// 		name: "tg-swipe",
// 		component: () =>
// 			import("../components/swipe/demo")
// 	},
// 	{
// 		path: "/switch",
// 		name: "tg-switch",
// 		component: () =>
// 			import("../components/my-switch/demo")
// 	},
// 	{
// 		path: "/tips",
// 		name: "tg-tips",
// 		component: () =>
// 			import("../components/tips/demo")
// 	},
// 	{
// 		path: "/toast",
// 		name: "tg-toast",
// 		component: () =>
// 			import("../components/toast/demo")
// 	}
// ]

let routes = [
	{
		path: "/",
		name: "Home",
		component: Home
	},
	{
		path: "/ui",
		name: "Ui",
		component: () => import("../views/ui.vue"),
		// children: componentList
	},
	{
		path: "/demo1",
		name: "demo1",
		component: () => import("../demo/demo2.vue"),
		// children: componentList
	},
	// {
	// 	path: "/demo1",
	// 	name: "Demo1",
	// 	component: () => import("../demo/demo1.vue"),
	// },
	// {
	// 	path: "/demo2",
	// 	name: "Demo2",
	// 	component: () => import("../demo/demo2.vue"),
	// },
	...componentList


];


const router = new VueRouter({
    routes,
})

export { router, componentList }
