import actionsheet from './views/actionsheet/index.js'
import Button from './views/button/index'
import Cell from './views/cell/index'
import CheckBox from './views/checkbox/index'
import CheckBoxGroup from './views/checkboxgroup/index'
import productCard from './views/product-card/index'
import progress from './views/progress/index'
import Form from './views/form/index'
import FormItem from './views/form-item/index'
import JsonText from './views/jsonText/index'
import Popover from './views/popover/index'
import Radio from './views/radio/index'
import Radiogroup from './views/radiogroup/index'
import Stepper from './views/stepper/index'
import Swipe from './views/swipe/index'
import Switch from './views/switch/index'
import Toast from './views/toast/index'


let componentList = {
    Button,
    Cell,
    CheckBox,
    CheckBoxGroup,
    productCard,
    progress,
    Form,
    FormItem,
    JsonText,
    Popover,
    Radio,
    Radiogroup,
    Stepper,
    Swipe,
    Switch  
    
}


let methodList = {
    actionsheet,
    Toast
}

function install(Vue) {
    if (install.installed) {
      return
    }
    install.installed = true
    componentList.forEach((Component) => {
      Component.install(Vue)
    })
  }

let Tra = {
    ...componentList,
    install
}
export {
    componentList,
    methodList
}

export default Tra;
