function uppercamelcase(input) {
    return input.replace(/-(\w)/g, function(all, match){
        return match.toUpperCase()
    })
}

function cameltoLowerCase(input) {
    let res =  input.replace(/[A-Z]/g, function(match){
        return '-' + match.toLowerCase()
    })
    if(res.slice(0,1) === '-'){ //如果首字母是大写，执行replace时会多一个_，这里需要去掉
        res = res.slice(1);
    }
    return res
}

module.exports = {
    uppercamelcase,
    cameltoLowerCase
}